Name: check
Version: 0.15.2
Release: 1
License:	LGPL-2.1-or-later
Summary: A unit testing framework for C
Url: https://libcheck.github.io/check/


BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkg-config
BuildRequires: gawk

Source0: https://github.com/libcheck/check/releases/download/%{version}/check-%{version}.tar.gz

Patch0: check-tests-aix.patch


%description
Check is a unit testing framework for C. It features a simple interface for
defining unit tests, putting little in the way of the developer. Tests are run
in a separate address space, so both assertion failures and code errors that
cause segmentation faults or other signals can be caught. Test results are
reportable in the following: Subunit, TAP, XML, and a generic logging format.


%package -n libcheck0
Summary: Regular expresssion library

%description -n libcheck0
Check is a unit test framework for C. It features a simple interface for 
defining unit tests, putting little in the way of the developer. Tests 
are run in a separate address space, so Check can catch both assertion 
failures and code errors that cause segmentation faults or other signals. 
The output from unit tests can be used within source code editors and IDEs.
	

%package -n checkmk
Summary: Translate concise versions of test suites into C programs
Requires: libcheck0 = %{version}-%{release}
 
%description -n checkmk
The checkmk binary translates concise versions of test suites into C programs
suitable for use with the Check unit test framework.


%package devel
Summary: check development files

Requires: libcheck0 = %{version}-%{release}

%description devel
check development files


%prep
%setup -q

%patch0 -p1


%build

autoreconf -fiv

%configure \
  ac_cv_func_getline=no \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --with-aix-soname=svr4 \
  --enable-shared \
  --disable-static
  
%make_build


%install
%make_install

# We don't need to ship the example files and tests
rm -r %{buildroot}%{_defaultdocdir}/check/example


%files -n libcheck0
%defattr(-, qsys, *none)

%{_libdir}/libcheck.so.0

%{_infodir}/check.info.gz

%{_defaultdocdir}/check/COPYING.LESSER
%{_defaultdocdir}/check/ChangeLog
%{_defaultdocdir}/check/NEWS
%{_defaultdocdir}/check/README


%files -n checkmk
%defattr(-, qsys, *none)

%{_mandir}/man1/checkmk.1*

%doc AUTHORS NEWS
%license COPYING.LESSER

%{_bindir}/checkmk


%files devel
%defattr(-, qsys, *none)

%{_includedir}/check.h
%{_includedir}/check_stdint.h

%{_libdir}/libcheck.so
%{_libdir}/pkgconfig/check.pc

%{_datadir}/aclocal/check.m4


%changelog
* Tue Aug 16 2022 Mark Irish <markdirish@gmail.com> - 0.15.2
- Initial package release
